FORMAX DEVELOPER API
  1. Bill Payment API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
      POST
    • Operator List
      POST
    • Bill Fetch
      POST
    • Bill Payment
      POST
    • Transaction Status
      POST
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. Bill Payment API

Operator List

POST
https://api.formaxpay.com/api/bbps/operator
This API is used to fetch the list of BBPS billers/operators based on a selected category (e.g., Postpaid, Electricity, Gas, Broadband). It also provides details about bill fetch requirements and input parameters needed for bill payment.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/bbps/operator' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data-raw '{
    "category": "Postpaid"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "SUCCESS",
    "data": [
        {
            "id": 10,
            "operator_name": "Airtel",
            "category": "Postpaid",
            "bill_fetch": "Required",
            "bbps_enabled": true,
            "params": [
                {
                    "number": "Mobile Number",
                    "regex": "^[1-9]{1}[0-9]{9}$"
                },
                {
                    "ad1": null,
                    "regex": null
                },
                {
                    "ad2": null,
                    "regex": null
                },
                {
                    "ad3": null,
                    "regex": null
                },
                {
                    "ad4": null,
                    "regex": null
                }
            ],
            "additional_params_for_payment_api": null
        },
        {
            "id": 14,
            "operator_name": "BSNL",
            "category": "Postpaid",
            "bill_fetch": "Required",
            "bbps_enabled": true,
            "params": [
                {
                    "number": "Mobile Number",
                    "regex": "^[6789][0-9]{9}$"
                },
                {
                    "ad1": null,
                    "regex": null
                },
                {
                    "ad2": null,
                    "regex": null
                },
                {
                    "ad3": null,
                    "regex": null
                },
                {
                    "ad4": null,
                    "regex": null
                }
            ],
            "additional_params_for_payment_api": null
        },
        {
            "id": 56,
            "operator_name": "Jio",
            "category": "Postpaid",
            "bill_fetch": "Not Required",
            "bbps_enabled": true,
            "params": [
                {
                    "number": "Mobile Number",
                    "regex": "^[6789][0-9]{9}$"
                },
                {
                    "ad1": null,
                    "regex": null
                },
                {
                    "ad2": null,
                    "regex": null
                },
                {
                    "ad3": null,
                    "regex": null
                },
                {
                    "ad4": null,
                    "regex": null
                }
            ],
            "additional_params_for_payment_api": null
        },
        {
            "id": 263,
            "operator_name": "Vodafone Idea Postpaid",
            "category": "Postpaid",
            "bill_fetch": "Required",
            "bbps_enabled": true,
            "params": [
                {
                    "number": "Mobile Number",
                    "regex": "^[1-9]{1}[0-9]{9}$"
                },
                {
                    "ad1": null,
                    "regex": null
                },
                {
                    "ad2": null,
                    "regex": null
                },
                {
                    "ad3": null,
                    "regex": null
                },
                {
                    "ad4": null,
                    "regex": null
                }
            ],
            "additional_params_for_payment_api": null
        },
        {
            "id": 1265,
            "operator_name": "Wiwanet Solution Pvt Ltd",
            "category": "Postpaid",
            "bill_fetch": "Required",
            "bbps_enabled": true,
            "params": [
                {
                    "number": "Mobile No",
                    "regex": "^[a-zA-Z0-9]{1,20}$"
                },
                {
                    "ad1": null,
                    "regex": null
                },
                {
                    "ad2": null,
                    "regex": null
                },
                {
                    "ad3": null,
                    "regex": null
                },
                {
                    "ad4": null,
                    "regex": null
                }
            ],
            "additional_params_for_payment_api": null
        }
    ]
}
Modified at 2025-12-24 12:52:54
Previous
Category List
Next
Bill Fetch
Built with